# Enum Class VulkanBlendFactor

java.lang.Object
java.lang.Enum<VulkanBlendFactor>
com.io7m.jcoronado.api.VulkanBlendFactor

All Implemented Interfaces:
  `VulkanEnumIntegerType`, `Serializable`, `Comparable<VulkanBlendFactor>`, `Constable`

public enum VulkanBlendFactor extends Enum<VulkanBlendFactor> implements VulkanEnumIntegerType

See Also:
  - "VkBlendFactor"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_BLEND_FACTOR_CONSTANT_ALPHA`
  VK_BLEND_FACTOR_CONSTANT_ALPHA
  `VK_BLEND_FACTOR_CONSTANT_COLOR`
  VK_BLEND_FACTOR_CONSTANT_COLOR
  `VK_BLEND_FACTOR_DST_ALPHA`
  VK_BLEND_FACTOR_DST_ALPHA
  `VK_BLEND_FACTOR_DST_COLOR`
  VK_BLEND_FACTOR_DST_COLOR
  `VK_BLEND_FACTOR_ONE`
  VK_BLEND_FACTOR_ONE
  `VK_BLEND_FACTOR_ONE_MINUS_CONSTANT_ALPHA`
  VK_BLEND_FACTOR_ONE_MINUS_CONSTANT_ALPHA
  `VK_BLEND_FACTOR_ONE_MINUS_CONSTANT_COLOR`
  VK_BLEND_FACTOR_ONE_MINUS_CONSTANT_COLOR
  `VK_BLEND_FACTOR_ONE_MINUS_DST_ALPHA`
  VK_BLEND_FACTOR_ONE_MINUS_DST_ALPHA
  `VK_BLEND_FACTOR_ONE_MINUS_DST_COLOR`
  VK_BLEND_FACTOR_ONE_MINUS_DST_COLOR
  `VK_BLEND_FACTOR_ONE_MINUS_SRC_ALPHA`
  VK_BLEND_FACTOR_ONE_MINUS_SRC_ALPHA
  `VK_BLEND_FACTOR_ONE_MINUS_SRC_COLOR`
  VK_BLEND_FACTOR_ONE_MINUS_SRC_COLOR
  `VK_BLEND_FACTOR_ONE_MINUS_SRC1_ALPHA`
  VK_BLEND_FACTOR_ONE_MINUS_SRC1_ALPHA
  `VK_BLEND_FACTOR_ONE_MINUS_SRC1_COLOR`
  VK_BLEND_FACTOR_ONE_MINUS_SRC1_COLOR
  `VK_BLEND_FACTOR_SRC_ALPHA`
  VK_BLEND_FACTOR_SRC_ALPHA
  `VK_BLEND_FACTOR_SRC_ALPHA_SATURATE`
  VK_BLEND_FACTOR_SRC_ALPHA_SATURATE
  `VK_BLEND_FACTOR_SRC_COLOR`
  VK_BLEND_FACTOR_SRC_COLOR
  `VK_BLEND_FACTOR_SRC1_ALPHA`
  VK_BLEND_FACTOR_SRC1_ALPHA
  `VK_BLEND_FACTOR_SRC1_COLOR`
  VK_BLEND_FACTOR_SRC1_COLOR
  `VK_BLEND_FACTOR_ZERO`
  VK_BLEND_FACTOR_ZERO

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanBlendFactor`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanBlendFactor[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_BLEND_FACTOR_ZERO

    public static final VulkanBlendFactor VK_BLEND_FACTOR_ZERO
    VK_BLEND_FACTOR_ZERO

  - ### VK_BLEND_FACTOR_ONE

    public static final VulkanBlendFactor VK_BLEND_FACTOR_ONE
    VK_BLEND_FACTOR_ONE

  - ### VK_BLEND_FACTOR_SRC_COLOR

    public static final VulkanBlendFactor VK_BLEND_FACTOR_SRC_COLOR
    VK_BLEND_FACTOR_SRC_COLOR

  - ### VK_BLEND_FACTOR_ONE_MINUS_SRC_COLOR

    public static final VulkanBlendFactor VK_BLEND_FACTOR_ONE_MINUS_SRC_COLOR
    VK_BLEND_FACTOR_ONE_MINUS_SRC_COLOR

  - ### VK_BLEND_FACTOR_DST_COLOR

    public static final VulkanBlendFactor VK_BLEND_FACTOR_DST_COLOR
    VK_BLEND_FACTOR_DST_COLOR

  - ### VK_BLEND_FACTOR_ONE_MINUS_DST_COLOR

    public static final VulkanBlendFactor VK_BLEND_FACTOR_ONE_MINUS_DST_COLOR
    VK_BLEND_FACTOR_ONE_MINUS_DST_COLOR

  - ### VK_BLEND_FACTOR_SRC_ALPHA

    public static final VulkanBlendFactor VK_BLEND_FACTOR_SRC_ALPHA
    VK_BLEND_FACTOR_SRC_ALPHA

  - ### VK_BLEND_FACTOR_ONE_MINUS_SRC_ALPHA

    public static final VulkanBlendFactor VK_BLEND_FACTOR_ONE_MINUS_SRC_ALPHA
    VK_BLEND_FACTOR_ONE_MINUS_SRC_ALPHA

  - ### VK_BLEND_FACTOR_DST_ALPHA

    public static final VulkanBlendFactor VK_BLEND_FACTOR_DST_ALPHA
    VK_BLEND_FACTOR_DST_ALPHA

  - ### VK_BLEND_FACTOR_ONE_MINUS_DST_ALPHA

    public static final VulkanBlendFactor VK_BLEND_FACTOR_ONE_MINUS_DST_ALPHA
    VK_BLEND_FACTOR_ONE_MINUS_DST_ALPHA

  - ### VK_BLEND_FACTOR_CONSTANT_COLOR

    public static final VulkanBlendFactor VK_BLEND_FACTOR_CONSTANT_COLOR
    VK_BLEND_FACTOR_CONSTANT_COLOR

  - ### VK_BLEND_FACTOR_ONE_MINUS_CONSTANT_COLOR

    public static final VulkanBlendFactor VK_BLEND_FACTOR_ONE_MINUS_CONSTANT_COLOR
    VK_BLEND_FACTOR_ONE_MINUS_CONSTANT_COLOR

  - ### VK_BLEND_FACTOR_CONSTANT_ALPHA

    public static final VulkanBlendFactor VK_BLEND_FACTOR_CONSTANT_ALPHA
    VK_BLEND_FACTOR_CONSTANT_ALPHA

  - ### VK_BLEND_FACTOR_ONE_MINUS_CONSTANT_ALPHA

    public static final VulkanBlendFactor VK_BLEND_FACTOR_ONE_MINUS_CONSTANT_ALPHA
    VK_BLEND_FACTOR_ONE_MINUS_CONSTANT_ALPHA

  - ### VK_BLEND_FACTOR_SRC_ALPHA_SATURATE

    public static final VulkanBlendFactor VK_BLEND_FACTOR_SRC_ALPHA_SATURATE
    VK_BLEND_FACTOR_SRC_ALPHA_SATURATE

  - ### VK_BLEND_FACTOR_SRC1_COLOR

    public static final VulkanBlendFactor VK_BLEND_FACTOR_SRC1_COLOR
    VK_BLEND_FACTOR_SRC1_COLOR

  - ### VK_BLEND_FACTOR_ONE_MINUS_SRC1_COLOR

    public static final VulkanBlendFactor VK_BLEND_FACTOR_ONE_MINUS_SRC1_COLOR
    VK_BLEND_FACTOR_ONE_MINUS_SRC1_COLOR

  - ### VK_BLEND_FACTOR_SRC1_ALPHA

    public static final VulkanBlendFactor VK_BLEND_FACTOR_SRC1_ALPHA
    VK_BLEND_FACTOR_SRC1_ALPHA

  - ### VK_BLEND_FACTOR_ONE_MINUS_SRC1_ALPHA

    public static final VulkanBlendFactor VK_BLEND_FACTOR_ONE_MINUS_SRC1_ALPHA
    VK_BLEND_FACTOR_ONE_MINUS_SRC1_ALPHA

- ## Method Details

  - ### values

    public static VulkanBlendFactor[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanBlendFactor valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumIntegerType`
    Returns:
      The integer value of the constant